Subject: Re: [Teas] teas-yang-rsvp wasRe: TEAS WG Document Status Reports

From: Tarek Saad <[email-masked]>
Date: Mon, 27 Jul 2020 12:29:10 +0000

Hi Tom,

Thanks for your review of ID: draft-ietf-teas-yang-rsvp and for the your comments. We have posted version https://tools.ietf.org/html/draft-ietf-teas-yang-rsvp-14
Which addresses those comments. Please see inline (look for TS) for more details.

    2. draft-ietf-teas-yang-rsvp-11
    Current Status:

    <tp>
    teas-yang-rsvp-12 would benefit from some tweaks
    Abstract confused me into thinking that the Extended model was elsewhere - I think that this needs an explicit mention.
TS: revised abstract to address this.

    Introduction ditto.
TS: revised Introduction to address this.

    Introduction should mention RFC7950 and RESTCONF

    Introduction should mention NMDA support
TS: Addressed.

    1 is wrong
    rt-type I am not familiar with but rt-types is in RFC8294
    key-chain is RFC8177
TS: corrected.

    2.4 lists two RPC but tree diagram lists three, one of which is authentication but authentication is a feature of extended not base - this confuses me
TS: corrected and added the third.

    revision description
    should be 'Initial version' in both modules

    the rpc should probably be NACM default deny all
TS: added.

    IANA Considerations
    URI lack registrant contact
    prefix are not those used in the modules
TS: updated.

    Security
    alsocontrols
TS: corrected.

    RFC5495 needs adding to I-D References
TS: updated references.

Again, thanks much for the comments.

Regards,
Tarek

    Tom Petch

       *   Version -10 was reviewed by YANG Dr. and received comments

      *   Authors published version -12 which addressed all outstanding comments
      *   Authors followed up with YANG Dr. reviewer on closing comments
    Open Issues:

      *   None
    Next Steps:

      *   Proceed to WGLC

    3. draft-ietf-teas-yang-rsvp-te-07
    Current Status:

      *   Version -07 was reviewed by YANG Dr. and received comments
    Open Issues:

      *   Authors working on addressing YANG Dr. comments
    Next Steps:

      *   Folllow-up with YANG Dr. reviewer to close on comments
      *   Proceed to WGLC after addressing

    4. draft-ietf-teas-yang-te-mpls
    Current Status:

      *   Authors discussing augmentation of this module for MPLS-TP
      *   A new module and model is expected
    Open Issues:

      *   Close on MPLS-TP modeling
    Next Steps:

      *   Publish a new revision
      *   Ask for YANG Dr. review

    _______________________________________________
    Teas mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/teas

---

From: Tarek Saad <[email-masked]>
Date: Mon, 27 Jul 2020 13:02:11 +0000

Thanks Tom for providing your continued feedback and valuable comments. We have published revisions -24 and -25 of  ID: draft-ietf-teas-yang-te that addresses your comments. 
Please see inline below (look for [TS]).

On 4/28/20, 6:40 AM, "Teas on behalf of tom petch" <[email-masked] on behalf of [email-masked]> wrote:

    From: Teas <[email-masked]> on behalf of tom petch <[email-masked]>
    Sent: 27 April 2020 17:29
    Subject: Re: [Teas] TEAS WG Document Status Reports  yang-te

    <tp>
    this I-D is BIGG so I expect that I will be noticing things for months to come so here are some more

    Editors/Authors are listed in four places, top, bottom and both YANG modules and the lists differ

    IANA Considerations has no Registrant Contact for the uri
[TS]: fixed in rev -24.

    tree diagram lacks reference to RFC8340
[TS]: Addressed in rev -25.

    downstream-info
    when origin-type != egress
    Applicable to ingress LSP only
    is a mismatch - when will allow transit
[TS]: Fixed the description in rev -24.

    enum link-down
    "Link-up flooding trigger"
    Mismatch
[TS]: fixed the description in rev -24.

    advertized-level-areas
    " List of areas .. is advertised in"
    mismatch, I think the list name is wrong
    (stupid autocorrect:-)
[TS]: fixed typo in rev -24.

    1. draft-ietf-teas-yang-te-23
    Current Status:

      *   Version -21 was reviewed by YANG Dr. and received comments

      *   Authors addressed all comments in version -23 (already uploaded).
      *   Team meeting regularly to address open issues – tracked on https://github.com/tsaad-dev/te/issues
      *   Will publish new version -24 before asking for WGLC
    Open Issues:
      *   None.
    Next Steps:.

      *   Authors will followup with YANG Dr. to make sure no further comments
      *   Will request a Working Group Last Call after completing the above

    <tp>
    I think that there is quite a bit wrong with this I-D from an administrative viewpoint some of which may be more debatable than others.

    It is VERRY  BIGGG which makes it hard to digest which for me is not helped by having 52 pages of uninterrupted tree diagram at the start (or is that intended to discourage anyone from going further?).  I see other authors taking two variations.  One is to put the entire module tree diagram at the end as an appendix.  The other is to include bite size chunks with sections of text.  You sort of do that s.3 but for me there is too little tree diagram in those sections.  Look for example at draft-ietf-opsawg-l3sm-l3nm which is only 122 pages but which I think gets a better balance in its section 6 of interspersing text with tree diagram and making it possible to follow.

[TS]: thanks for the feedback. We have revised the draft in rev -24 and included new sections that describe the main parts of model and their respective bit-size chunk sub-tree. We still included the full tree in a separate section for completeness.

    Less debatably,
    - the prefix in the YANG does not match prefix in IANA Considerations.
[TS]: fixed in rev -24.

    - the Security Considerations are out of date..
[TS]: Addressed in revision -25.

    - the device module would be better In a separate section
    - s.4 lists [4872] twice
[TS]: fixed in rev -24.

Regards,
Tarek

    Tom Petch

      *   None
    Next Steps:

      *   Proceed to WGLC

      *   Publish a new revision

---

From: tom petch <[email-masked]>
Date: Wed, 29 Jul 2020 11:13:52 +0000

From: Tarek Saad <[email-masked]>
Sent: 27 July 2020 13:29

Hi Tom,

Thanks for your review of ID: draft-ietf-teas-yang-rsvp and for the your comments. We have posted version https://tools.ietf.org/html/draft-ietf-teas-yang-rsvp-14
Which addresses those comments. 

<tp>
Mostly:-)
You still have  a prefix mismatch between module and IANA.

I suspect you will get asked for examples at some stage 

s.3.1 The augments diagrams use 'o' to show augmentation.  Other I-D use '>' but use it in different senses.  My take is 
A----->B
means A augments B.

3.3 I think that filters need references.  Subtree is 6241 but XPATH is probably 8639 since that specifies the context thereof which is not obvious.

Tom Petch

Please see inline (look for TS) for more details.

    <tp>

    Introduction ditto.

    1 is wrong

    revision description

    IANA Considerations

    Security
    alsocontrols
TS: corrected.

Regards,
Tarek

    Tom Petch

      *   None
    Next Steps:

      *   Proceed to WGLC

      *   Publish a new revision